import { AfterViewInit, ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { CmsService } from '@spartacus/core';
import { BehaviorSubject } from 'rxjs';
import { Options } from '@angular-slider/ngx-slider';
import { OrderHistoryService } from '../services/order-history.service';
import { MatMenuTrigger } from '@angular/material/menu';
import * as i0 from "@angular/core";
export declare class CustomOrderHistoryComponent implements OnInit, AfterViewInit, OnDestroy {
    cmsService: CmsService;
    private orderHistoryService;
    cd: ChangeDetectorRef;
    pageTitle: any;
    orderHistoryHeading: any;
    noOrderHistoryData: any;
    noSearchResultContent: any;
    listview: boolean;
    noSearchResults: boolean;
    dataAvailale?: string;
    orderHistoryLists: any;
    orderSortLists: any;
    orderStatuses: any;
    orderStates: any;
    deliveryTypes: any;
    isDesktop: boolean;
    isMobile: boolean;
    isTablet: boolean;
    breadcrumbData: any;
    showWaitCursor: BehaviorSubject<boolean>;
    optionalColumns: {
        name: string;
        value: string;
    }[];
    selectedOrderState: any;
    selectedOrderType: any;
    logText: any;
    searchText: string;
    storeFrontUrl: string;
    sortByValue: any;
    loaderImage: BehaviorSubject<boolean>;
    currentPage: number;
    totalResults: any;
    selectedDateRange: any;
    selectedDateKey: string;
    selectedFilters: any;
    isClearAll: boolean;
    isInputValue: boolean;
    selectedOption: any;
    orderTooltipContent: any;
    poTooltipContent: any;
    orderDateTooltipContent: any;
    deliveryTypeTooltipContent: any;
    deliveryDateTooltipContent: any;
    deliveryAddressTooltipContent: any;
    totalPriceTooltipContent: any;
    statusTooltipContent: any;
    isSearchBtnClicked: boolean;
    selectedOrderNumber: string;
    sesstionStorageCalled: boolean;
    selectedDateFilterValue: any;
    items: any;
    menuTopLeftPosition: {
        x: number;
        y: number;
    };
    matMenuTrigger: MatMenuTrigger;
    options: Options;
    constructor(cmsService: CmsService, orderHistoryService: OrderHistoryService, cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    isNullOrEmpty(valueToCheck: string): boolean;
    getLastMonthDateRange(): void;
    getStatusUpdate(): void;
    getOrderList(): void;
    clearAll(): void;
    getSearchDropdownData(): void;
    toggleGridOrListView(event: any): void;
    getCheckedOrderStatuses(data: any): boolean;
    checkOrderStatus(event: any, data: any, mobileData?: string): void;
    removeChips(data: any): void;
    onChange(e: any): void;
    onSubmit(): void;
    getSelectedDate(event: any): void;
    getStatusValue(): void;
    sortBy(e: any): void;
    getSearchResults(): void;
    onSearchChange(e: any): void;
    loadMoreRecord(): void;
    orderNumberClicked(orderNumber: any, newWindowFlag: boolean): void;
    onRightClick(event: MouseEvent, item: any): void;
    onScroll(): void;
    onResize(event: any): void;
    onPageRefresh(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomOrderHistoryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomOrderHistoryComponent, "app-custom-order-history", never, {}, {}, never, never>;
}
